Loading...
Searching...
No Matches
BALL::MoleculeObjectCreator Class Reference
Foundation Classes » Concepts » Object Persistence.

`#include <BALL/CONCEPT/moleculeObjectCreator.h>`

Inheritance diagram for BALL::MoleculeObjectCreator:

## Public Member Functions

Constructors
| MoleculeObjectCreator ()
Destructors
virtual | ~MoleculeObjectCreator ()
virtual void | clear ()
Accessors: inspectors and mutators
virtual void | initPersistenceManager (TextPersistenceManager &pm)
virtual Composite * | convertObject (PersistentObject &po)
Public Member Functions inherited from BALL::ObjectCreator
| ObjectCreator ()
virtual | ~ObjectCreator ()
Composite * | operator() (TCPIOStream &tcp_iostream)

## Detailed Description

MoleculeObjectCreator class. The class MoleculeObjectCreator is a class for converting PersistentObject objects that represent molecular structures into Composite objects. Objects that do not represent molecular structures will not be converted. All necessary initialization and registration of molecular structure patterns will be done in the method initPersistenceManager. The conversion will be executed in the method convertObject. This class is used by the class Server to convert incoming PersistentObject objects to Composite objects.

Definition at line 25 of file moleculeObjectCreator.h.

## Constructor & Destructor Documentation

## MoleculeObjectCreator()

BALL::MoleculeObjectCreator::MoleculeObjectCreator | ( |  | ) |

Default Constructor.

## ~MoleculeObjectCreator()

virtual BALL::MoleculeObjectCreator::~MoleculeObjectCreator | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::MoleculeObjectCreator::clear | ( |  | ) |

virtual

Explicit default initialization. Calls ObjectCreator::clear.

Reimplemented from BALL::ObjectCreator.

## convertObject()

virtual Composite * BALL::MoleculeObjectCreator::convertObject | ( | PersistentObject & | po | ) |

virtual

Converts persistent objects. If po is an object that represents a molecular structure (an Atom, Protein or System) it will be converted into a Composite object and returned. If it is none of the above 0 will be returned. See TextPersistenceManager for information on how to convert PersistentObject objects into other objects.

Parameters

  po | a reference to a PersistentObject to be converted

Returns
  Composite* a converted Composite object if po could successfully be converted into a Composite object

See also
  initPersistenceManager

Reimplemented from BALL::ObjectCreator.

## initPersistenceManager()

virtual void BALL::MoleculeObjectCreator::initPersistenceManager | ( | TextPersistenceManager & | pm | ) |

virtual

Initializes the TextPersistenceManager of this moleculeObjectCreator. Registers all necessary molecular structures available in BALL. See TextPersistenceManager for information on how and why to register PersistentObject classes.

Parameters

  pm | the TextPersistenceManager to be initialized

See also
  TextPersistenceManager
  convertObject

Reimplemented from BALL::ObjectCreator.